
package com.experianpayments.bankwizard.wsdl.bankwizardservice_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import com.experianpayments.bankwizard.xsd._2009._07.DataAccessKeyType;
import com.experianpayments.bankwizard.xsd._2009._07.GetAdditionalDataRequest;
import com.experianpayments.bankwizard.xsd._2009._07.GetAdditionalDataResponse;
import com.experianpayments.bankwizard.xsd._2009._07.GetBranchDataRequest;
import com.experianpayments.bankwizard.xsd._2009._07.GetBranchDataResponse;
import com.experianpayments.bankwizard.xsd._2009._07.GetCountriesRequest;
import com.experianpayments.bankwizard.xsd._2009._07.GetCountriesResponse;
import com.experianpayments.bankwizard.xsd._2009._07.GetCountryInputRequest;
import com.experianpayments.bankwizard.xsd._2009._07.GetCountryInputResponse;
import com.experianpayments.bankwizard.xsd._2009._07.GetFasterPaymentsDataRequest;
import com.experianpayments.bankwizard.xsd._2009._07.GetFasterPaymentsDataResponse;
import com.experianpayments.bankwizard.xsd._2009._07.GetSEPADataRequest;
import com.experianpayments.bankwizard.xsd._2009._07.GetSEPADataResponse;
import com.experianpayments.bankwizard.xsd._2009._07.GetSWIFTDataRequest;
import com.experianpayments.bankwizard.xsd._2009._07.GetSWIFTDataResponse;
import com.experianpayments.bankwizard.xsd._2009._07.ValidateIBANRequest;
import com.experianpayments.bankwizard.xsd._2009._07.ValidateIBANResponse;
import com.experianpayments.bankwizard.xsd._2009._07.ValidateRequest;
import com.experianpayments.bankwizard.xsd._2009._07.ValidateResponse;
import com.experianpayments.bankwizard.xsd._2009._07.VerifyRequest;
import com.experianpayments.bankwizard.xsd._2009._07.VerifyResponse;
import com.experianpayments.bankwizard.xsd._2011._04.AccountInformation;
import com.experianpayments.bankwizard.xsd._2011._04.BranchSearch;
import com.experianpayments.bankwizard.xsd._2011._04.BranchSearchResults;
import com.experianpayments.bankwizard.xsd._2011._04.GetInputWithSearchRequest;
import com.experianpayments.bankwizard.xsd._2011._04.GetInputWithSearchResponse;
import com.experianpayments.bankwizard.xsd._2011._04.GetLookupIbanInputRequest;
import com.experianpayments.bankwizard.xsd._2011._04.GetLookupIbanInputResponse;
import com.experianpayments.bankwizard.xsd._2011._04.GlobalSearchRequest;
import com.experianpayments.bankwizard.xsd._2011._04.GlobalSearchResponse;
import com.experianpayments.bankwizard.xsd._2011._04.LookupIbanRequest;
import com.experianpayments.bankwizard.xsd._2011._04.LookupIbanResponse;
import com.experianpayments.bankwizard.xsd._2011._04.SwiftSearch;
import com.experianpayments.bankwizard.xsd._2011._04.SwiftSearchResults;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebService(name = "BankWizard_v1_1_PortType", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({
    com.experianpayments.bankwizard.common.xsd._2009._09.ObjectFactory.class,
    com.experianpayments.bankwizard.wsdl.bankwizardservice_v1_0.ObjectFactory.class,
    com.experianpayments.bankwizard.wsdl.bankwizardservice_v1_1.ObjectFactory.class,
    com.experianpayments.bankwizard.xsd._2009._07.ObjectFactory.class,
    com.experianpayments.bankwizard.xsd._2011._04.ObjectFactory.class,
    com.experianpayments.bankwizardabsolute.common.xsd._2009._09.ObjectFactory.class
})
public interface BankWizardV11PortType {


    /**
     * 
     * @param getCountriesRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.GetCountriesResponse
     */
    @WebMethod(operationName = "GetCountries", action = "GetCountries")
    @WebResult(name = "GetCountriesResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetCountriesResponse")
    public GetCountriesResponse getCountries(
        @WebParam(name = "GetCountriesRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetCountriesRequest")
        GetCountriesRequest getCountriesRequest);

    /**
     * 
     * @param getCountryInputRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.GetCountryInputResponse
     */
    @WebMethod(operationName = "GetCountryInput", action = "GetCountryInput")
    @WebResult(name = "GetCountryInputResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetCountryInputResponse")
    public GetCountryInputResponse getCountryInput(
        @WebParam(name = "GetCountryInputRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetCountryInputRequest")
        GetCountryInputRequest getCountryInputRequest);

    /**
     * 
     * @param getInputWithSearchRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2011._04.GetInputWithSearchResponse
     */
    @WebMethod(operationName = "GetInputWithSearch", action = "GetInputWithSearch")
    @WebResult(name = "GetInputWithSearchResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "GetInputWithSearchResponse")
    public GetInputWithSearchResponse getInputWithSearch(
        @WebParam(name = "GetInputWithSearchRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "GetInputWithSearchRequest")
        GetInputWithSearchRequest getInputWithSearchRequest);

    /**
     * 
     * @param validateIBANRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.ValidateIBANResponse
     */
    @WebMethod(operationName = "ValidateIBAN", action = "ValidateIBAN")
    @WebResult(name = "ValidateIBANResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "ValidateIBANResponse")
    public ValidateIBANResponse validateIBAN(
        @WebParam(name = "ValidateIBANRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "ValidateIBANRequest")
        ValidateIBANRequest validateIBANRequest);

    /**
     * 
     * @param validateRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.ValidateResponse
     */
    @WebMethod(operationName = "Validate", action = "Validate")
    @WebResult(name = "ValidateResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "ValidateResponse")
    public ValidateResponse validate(
        @WebParam(name = "ValidateRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "ValidateRequest")
        ValidateRequest validateRequest);

    /**
     * 
     * @param verifyRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.VerifyResponse
     */
    @WebMethod(operationName = "Verify", action = "Verify")
    @WebResult(name = "VerifyResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "VerifyResponse")
    public VerifyResponse verify(
        @WebParam(name = "VerifyRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "VerifyRequest")
        VerifyRequest verifyRequest);

    /**
     * 
     * @param getBranchDataRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.GetBranchDataResponse
     */
    @WebMethod(operationName = "GetBranchData", action = "GetBranchData")
    @WebResult(name = "GetBranchDataResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetBranchDataResponse")
    public GetBranchDataResponse getBranchData(
        @WebParam(name = "GetBranchDataRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetBranchDataRequest")
        GetBranchDataRequest getBranchDataRequest);

    /**
     * 
     * @param getSWIFTDataRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.GetSWIFTDataResponse
     */
    @WebMethod(operationName = "GetSWIFTData", action = "GetSWIFTData")
    @WebResult(name = "GetSWIFTDataResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetSWIFTDataResponse")
    public GetSWIFTDataResponse getSWIFTData(
        @WebParam(name = "GetSWIFTDataRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetSWIFTDataRequest")
        GetSWIFTDataRequest getSWIFTDataRequest);

    /**
     * 
     * @param getSEPADataRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.GetSEPADataResponse
     */
    @WebMethod(operationName = "GetSEPAData", action = "GetSEPAData")
    @WebResult(name = "GetSEPADataResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetSEPADataResponse")
    public GetSEPADataResponse getSEPAData(
        @WebParam(name = "GetSEPADataRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetSEPADataRequest")
        GetSEPADataRequest getSEPADataRequest);

    /**
     * 
     * @param getFasterPaymentsDataRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.GetFasterPaymentsDataResponse
     */
    @WebMethod(operationName = "GetFasterPaymentsData", action = "GetFasterPaymentsData")
    @WebResult(name = "GetFasterPaymentsDataResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetFasterPaymentsDataResponse")
    public GetFasterPaymentsDataResponse getFasterPaymentsData(
        @WebParam(name = "GetFasterPaymentsDataRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetFasterPaymentsDataRequest")
        GetFasterPaymentsDataRequest getFasterPaymentsDataRequest);

    /**
     * 
     * @param getAdditionalDataRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2009._07.GetAdditionalDataResponse
     */
    @WebMethod(operationName = "GetAdditionalData", action = "GetAdditionalData")
    @WebResult(name = "GetAdditionalDataResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetAdditionalDataResponse")
    public GetAdditionalDataResponse getAdditionalData(
        @WebParam(name = "GetAdditionalDataRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-0", partName = "GetAdditionalDataRequest")
        GetAdditionalDataRequest getAdditionalDataRequest);

    /**
     * 
     * @param dataAccessKey
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2011._04.AccountInformation
     */
    @WebMethod(operationName = "GetAccountInformation", action = "GetAccountInformation")
    @WebResult(name = "AccountInformation", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "AccountInformation")
    public AccountInformation getAccountInformation(
        @WebParam(name = "DataAccessKey", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "DataAccessKey")
        DataAccessKeyType dataAccessKey);

    /**
     * 
     * @param branchSearchRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2011._04.BranchSearchResults
     */
    @WebMethod(operationName = "BranchSearch", action = "BranchSearch")
    @WebResult(name = "BranchSearchResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "BranchSearchResponse")
    public BranchSearchResults branchSearch(
        @WebParam(name = "BranchSearchRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "BranchSearchRequest")
        BranchSearch branchSearchRequest);

    /**
     * 
     * @param swiftSearchRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2011._04.SwiftSearchResults
     */
    @WebMethod(operationName = "SwiftSearch", action = "SwiftSearch")
    @WebResult(name = "SwiftSearchResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "SwiftSearchResponse")
    public SwiftSearchResults swiftSearch(
        @WebParam(name = "SwiftSearchRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "SwiftSearchRequest")
        SwiftSearch swiftSearchRequest);

    /**
     * 
     * @param getLookupIbanInputRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2011._04.GetLookupIbanInputResponse
     */
    @WebMethod(operationName = "GetLookupIbanInput", action = "GetLookupIbanInput")
    @WebResult(name = "GetLookupIbanInputResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "GetLookupIbanInputResponse")
    public GetLookupIbanInputResponse getLookupIbanInput(
        @WebParam(name = "GetLookupIbanInputRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "GetLookupIbanInputRequest")
        GetLookupIbanInputRequest getLookupIbanInputRequest);

    /**
     * 
     * @param lookupIbanRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2011._04.LookupIbanResponse
     */
    @WebMethod(operationName = "LookupIban", action = "LookupIban")
    @WebResult(name = "LookupIbanResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "LookupIbanResponse")
    public LookupIbanResponse lookupIban(
        @WebParam(name = "LookupIbanRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "LookupIbanRequest")
        LookupIbanRequest lookupIbanRequest);

    /**
     * 
     * @param globalSearchRequest
     * @return
     *     returns com.experianpayments.bankwizard.xsd._2011._04.GlobalSearchResponse
     */
    @WebMethod(operationName = "GlobalSearch", action = "GlobalSearch")
    @WebResult(name = "GlobalSearchResponse", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "GlobalSearchResponse")
    public GlobalSearchResponse globalSearch(
        @WebParam(name = "GlobalSearchRequest", targetNamespace = "http://experianpayments.com/bankwizard/wsdl/BankWizardService-v1-1", partName = "GlobalSearchRequest")
        GlobalSearchRequest globalSearchRequest);

}
